Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.commons.enc.v2
Class EncryptionPolicy

    java.lang.Object
      be.fgov.ehealth.commons.enc.v2.EncryptionPolicy

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:55:46+01:00",
               comments="JAXB RI v2.2.11")
    public class EncryptionPolicy

extends Object
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:be:fgov:ehealth:commons:enc:v2}KeyInfo"/>
           </sequence>
           <attribute name="MimeType" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`EncryptionPolicy()`

Method Summary
`KeyInfo` | `getKeyInfo()` Gets the value of the keyInfo property.
`String` | `getMimeType()` Gets the value of the mimeType property.
`void` | `setKeyInfo(KeyInfo value)` Sets the value of the keyInfo property.
`void` | `setMimeType(String value)` Sets the value of the mimeType property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncryptionPolicy

    public EncryptionPolicy()

Method Detail

### getKeyInfo

    public KeyInfo getKeyInfo()

  Gets the value of the keyInfo property.

  Returns:
    possible object is `KeyInfo`

### setKeyInfo

    public void setKeyInfo(KeyInfo value)

  Sets the value of the keyInfo property.

  Parameters:
    `value` - allowed object is `KeyInfo`

### getMimeType

    public String getMimeType()

  Gets the value of the mimeType property.

  Returns:
    possible object is `String`

### setMimeType

    public void setMimeType(String value)

  Sets the value of the mimeType property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.